Subject: Re: Platform matching style (was:: [RFC] add phy-handle property for fec_mpc52xx)

From: Olof Johansson <[email-masked]>
Date: Thu, 10 Jan 2008 09:52:25 -0600

On Thu, Jan 10, 2008 at 08:31:18AM -0700, Grant Likely wrote:

> 1. Apply a device tree fixup to change device_type from "chrp" to
> "efika" (the current solution)
> 2. Modify chrp_probe() to check specifically for the Efika when probing
> 3. Modify the link order so that Efika is probed before CHRP.
>
> All three of these solutions will work, but I'd like to get opinions
> on which is stylistically the best approach (or if there is another
> approach I'm missing).
> 
> In general, I'm trying to reduce the Efika fixups down to only what is
> absolutely necessary and as much as possible work with the provided
> device tree.

(3) sounds fragile to me.

There's already code in the kernel that does (2): pSeries_probe checks
to make sure it's not running on a cell blade. That has the benefit of
presenting something closer to the real device tree to the user through
/proc/device-tree, not that I'm sure it has all that much value.

-Olof